Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.Try now
ChargebeeAPI

Gift subscription estimate for items

This endpoint generates an estimate for a subscription that is intended to be a gift. The estimate provides details about the gift sender, gift recipient, address details of the recipient, and the type and details of subscription items included in the gift.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/estimates/gift_subscription_for_items

Input Parameters

coupon_ids
optional, string, max chars=100

List of coupons to be applied to this subscription. You can provide coupon ids or coupon codes.

gift
Parameters for gift
pass parameters as gift[<param name>]
gifter
Parameters for gifter
pass parameters as gifter[<param name>]
gift_receiver
Parameters for gift_receiver
pass parameters as gift_receiver[<param name>]
payment_intent
Parameters for payment_intent
pass parameters as payment_intent[<param name>]
shipping_address
Parameters for shipping_address
pass parameters as shipping_address[<param name>]
subscription_items[0..n]
Parameters for subscription_items. Multiple subscription_items can be passed by specifying unique indices.
pass parameters as subscription_items[<param name>][<idx:0..n>]
item_tiers[0..n]
Parameters for item_tiers. Multiple item_tiers can be passed by specifying unique indices.
pass parameters as item_tiers[<param name>][<idx:0..n>]

Returns

Estimate object
Resource object representing estimate